<?php
require_once("config_sql.php");
$login_ok = "nee";
if((ISSET($_GET['jouwnaam'])) && (ISSET($_GET['pass'])))
{
	$ok_pass = halen("SELECT wachtwoord FROM members WHERE naam='".$_GET['jouwnaam']."';");
	$ok_functie = halen("SELECT functie FROM members WHERE naam='".$_GET['jouwnaam']."';");
	if ($ok_pass == $_GET['pass'])
	{
		$login_ok = "ja";
	}
}
if (($hotel_status == "online") && ($login_ok == "ja"))
{
	$gekocht = array();
	$gekocht_array_teller = 0;
	$geld_nu = halen("SELECT money FROM members WHERE naam='".$_GET['jouwnaam']."'");
	$item_prijs = (halen("SELECT prijs FROM prijslijst WHERE cat='".$_GET['cat']."' AND catnr='".$_GET['catnr']."';"))*$_GET['aantal'];
	$item_soort = halen("SELECT soort FROM prijslijst WHERE cat='".$_GET['cat']."' AND catnr='".$_GET['catnr']."';");
	$actief1 = halen("SELECT actief FROM prijslijst WHERE cat='".$_GET['cat']."' AND catnr='".$_GET['catnr']."';");
	$actief2 = halen("SELECT actief FROM catalogus WHERE id='".$_GET['cat']."';");
	$in_kamer = $_GET['in_kamer'];
	$item_actief = "nee";
	if($_GET['aantal'] > 0)
	{
		if($in_kamer == "ja")
		{
			if($_GET['aantal'] > 10)
			{
				$_GET['aantal'] = 10;
			}
		}
		else
		{
			if($_GET['aantal'] > 20)
			{
				$_GET['aantal'] = 20;
			}
		}
		if(($actief1 == "ja") and ($actief2 == "ja"))
		{
			$item_actief = "ja";
		}
		if (($geld_nu >= $item_prijs) or ($ok_functie == "manager") or ($ok_functie == "staff"))
		{
			$betalen = "nee";
			$doen = "ja";
			if ($ok_functie == "jabbo")
			{
				$betalen = "ja";
			}
			else
			{
				if(($ok_functie == "manager") or ($ok_functie == "staff"))
				{
					$betalen = "nee";
				}
				else
				{
					$betalen = "ja";
				}
			}
			if ($_GET['koop_modus'] == "kado")
			{
				if($ok_functie != "manager")
				{
					$betalen = "ja";
					if($item_actief == "nee")
					{
						$doen = "nee";
					}
				}
			}
			if ($betalen == "ja")
			{
				$geld_nu = $geld_nu - $item_prijs;
			}
			if ($_GET['koop_modus'] == "kado")
			{
				$_GET['kado_voorwie'] = strtolower($_GET['kado_voorwie']);
			}
			if ($doen == "ja")
			{
				if ($item_soort == "tele")
				{
					for ($i = 1; $i <= $_GET['aantal']; $i++)
					{
						$teleport_nu = halen("SELECT waarde FROM setting WHERE id='1';");
						$teleport_nu++;
						mysql_query("UPDATE setting SET waarde='".$teleport_nu."' WHERE id='1';");
						if ($_GET['koop_modus'] == "zelf")
						{
							mysql_query("INSERT INTO items SET cat='".$_GET['cat']."', catnr='".$_GET['catnr']."', eigenaar='".$_GET['jouwnaam']."', h=1, tele='".$teleport_nu."', intext='', kamerused=0;");
							$gekocht[$gekocht_array_teller] = mysql_insert_id();
							$gekocht_array_teller++;
							mysql_query("INSERT INTO items SET cat='".$_GET['cat']."', catnr='".$_GET['catnr']."', eigenaar='".$_GET['jouwnaam']."', h=1, tele='".$teleport_nu."', intext='', kamerused=0;");
							$gekocht[$gekocht_array_teller] = mysql_insert_id();
							$gekocht_array_teller++;
						}
						else
						{
							$_GET['kado_text'] = nl2br(htmlentities($_GET['kado_text']));
							$_GET['kado_text'] = str_replace ("'", "", $_GET['kado_text']);
							$_GET['kado_text'] = str_replace ('"', "", $_GET['kado_text']);
							$_GET['kado_text'] = substr($_GET['kado_text'], 0, 80);
							$kado_soort = rand(1,7);
							mysql_query("INSERT INTO items SET cat='32', catnr='".$kado_soort."', kado_cat='".$_GET['cat']."', kado_catnr='".$_GET['catnr']."', eigenaar='".$_GET['kado_voorwie']."', h=1, tele='".$teleport_nu."', intext='".$_GET['kado_text']."', kamerused=0;");
							if($_GET['kado_voorwie'] == $_GET['jouwnaam'])
							{
								$gekocht[$gekocht_array_teller] = mysql_insert_id();
								$gekocht_array_teller++;
							}
							$kado_soort = rand(1,7);
							mysql_query("INSERT INTO items SET cat='32', catnr='".$kado_soort."', kado_cat='".$_GET['cat']."', kado_catnr='".$_GET['catnr']."', eigenaar='".$_GET['kado_voorwie']."', h=1, tele='".$teleport_nu."', intext='".$_GET['kado_text']."', kamerused=0;");
							if($_GET['kado_voorwie'] == $_GET['jouwnaam'])
							{
								$gekocht[$gekocht_array_teller] = mysql_insert_id();
								$gekocht_array_teller++;
							}
						}
					}
				}
				else
				{
					for ($i = 1; $i <= $_GET['aantal']; $i++)
					{
						if ($_GET['koop_modus'] == "zelf")
						{
							mysql_query("INSERT INTO items SET cat='".$_GET['cat']."', catnr='".$_GET['catnr']."', eigenaar='".$_GET['jouwnaam']."', h=1, intext='', kamerused=0;");
							$gekocht[$gekocht_array_teller] = mysql_insert_id();
							$gekocht_array_teller++;
						}
						else
						{
							$_GET['kado_text'] = nl2br(htmlentities($_GET['kado_text']));
							$_GET['kado_text'] = str_replace ("'", "", $_GET['kado_text']);
							$_GET['kado_text'] = str_replace ('"', "", $_GET['kado_text']);
							$_GET['kado_text'] = substr($_GET['kado_text'], 0, 80);
							$kado_soort = rand(1,7);
							mysql_query("INSERT INTO items SET cat='32', catnr='".$kado_soort."', kado_cat='".$_GET['cat']."', kado_catnr='".$_GET['catnr']."', eigenaar='".$_GET['kado_voorwie']."', h=1, intext='".$_GET['kado_text']."', kamerused=0;");
							if($_GET['kado_voorwie'] == $_GET['jouwnaam'])
							{
								$gekocht[$gekocht_array_teller] = mysql_insert_id();
								$gekocht_array_teller++;
							}
						}
					}
				}
				mysql_query("UPDATE members SET money='".$geld_nu."' WHERE naam='".$_GET['jouwnaam']."'");
			}
		}
		if($gekocht_array_teller != 0)
		{
			$kamer_id = $_GET['kamer_id'];
			$arraygedoe = "";
			$savegedoe = "";
			$divgedoe = "";
			$arrayteller = $_GET['arrayteller'];
			if($in_kamer == "ja")
			{
				for ($i = 0; $i < $gekocht_array_teller; $i++)
				{
					$item_nr = $gekocht[$i];
					$arraygedoe .= " thismeubi[".$arrayteller."] = ".$item_nr.";";
		    		$arrayteller++;
		    		$item_info = halen_array("SELECT * FROM items WHERE nr='".$item_nr."';");
		    		$handstatus = "nee";
		    		if ($item_info['kamerused'] == $kamer_id)
	    			{
		    			$handstatus = "nee";
					}
	    			elseif ($item_info['kamerused'] == 0)
	    			{
		    			$handstatus = "ja";
		    			if ($item_info['z'] < 1)
		    			{
			    			$item_info['z'] = 2;
		    			}
	    			}
		    		$savegedoe .= "savegedoe[".$item_nr."] = new Array(); ";
					$savegedoe .= "savegedoe[".$item_nr."]['tegel'] = '".$item_info['tegel']."'; ";
					$savegedoe .= "savegedoe[".$item_nr."]['handstatus'] = '".$handstatus."'; ";
					$savegedoe .= "savegedoe[".$item_nr."]['cat'] = '".$item_info['cat']."'; ";
					$savegedoe .= "savegedoe[".$item_nr."]['catnr'] = '".$item_info['catnr']."'; ";
					$savegedoe .= "savegedoe[".$item_nr."]['x'] = '".$item_info['x']."'; ";
					$savegedoe .= "savegedoe[".$item_nr."]['y'] = '".$item_info['y']."'; ";
					$savegedoe .= "savegedoe[".$item_nr."]['z'] = '".$item_info['z']."'; ";
					$savegedoe .= "savegedoe[".$item_nr."]['h'] = '".$item_info['h']."'; ";
					$savegedoe .= "savegedoe[".$item_nr."]['actie'] = '".$item_info['actie']."'; ";
					$savegedoe .= "savegedoe[".$item_nr."]['stapelnr'] = ".$item_info['stapelnr']."; ";
					
					$prijslijst = halen_array("SELECT actie, soort FROM prijslijst WHERE cat='".$item_info['cat']."' AND catnr='".$item_info['catnr']."';");
					$actie = $prijslijst['actie'];
		    		$item_soort = $prijslijst['soort'];
		    		$scriptnaam = $item_nr;
				    if ($item_info['actie'] == "ja")
				    {
					    $imagenaam = "images/items/".$item_info['cat']."/".$item_info['catnr']."/".$item_info['h']."b.gif";
				    }
				    else
				    {
					    $imagenaam = "images/items/".$item_info['cat']."/".$item_info['catnr']."/".$item_info['h'].".gif";
				    }
			    	if ($handstatus == "nee")
			    	{
				    	$divgedoe .= "<div id='".$scriptnaam."' style='position: absolute; top: ".$item_info['y']."px; left: ".$item_info['x']."px; z-index: ".$item_info['z']."; display:;'>";
					}
			    	else
			    	{
				    	$imagenaam = "images/items/".$item_info['cat']."/".$item_info['catnr']."/icon.gif";
				    	$divgedoe .= "<div id='".$scriptnaam."' style='position: absolute; top: ".$item_info['y']."px; left: ".$item_info['x']."px; z-index: ".$item_info['z']."; display: none;'>";
			    	}
			    	if ($item_soort == "tele")
				    {
					   	$doel = halen("SELECT kamerused FROM items WHERE tele='".$item_info['tele']."' AND nr != '".$item_info['nr']."';");
						if (($doel != $kamer_id) and ($doel != 0) and ($doel != ""))
						{
							$doel_naam = halen("SELECT naam FROM kamers WHERE id = '".$doel."';");
							$divgedoe .= "<img id='src".$scriptnaam."' src='".$imagenaam."' onmouseover='document.getElementById(\"extraatje\").innerHTML = \"Deze tele gaat naar: ".$doel_naam."\";' onmouseout='document.getElementById(\"extraatje\").innerHTML = \"\";' onmousedown='geklikt(".$scriptnaam.")' class='item_solid' ondblclick='tele(\"$doel\", \"src".$scriptnaam."\", \"".$item_info['cat']."\", \"".$item_info['catnr']."\", \"".$item_info['h']."\");'>";
						}
						else
						{
							$divgedoe .= "<img id='src".$scriptnaam."' src='".$imagenaam."' onmouseover='item_nr_over(".$item_info['cat'].",".$item_info['catnr'].")' onmouseout='item_out()' onmousedown='geklikt(".$scriptnaam.")' class='item_solid'>";
						}
					}
					else
					{
			    		if ($actie == "ja")
			    		{
					    	$divgedoe .= "<img id='src".$scriptnaam."' src='".$imagenaam."' onmouseover='item_nr_over(".$item_info['cat'].",".$item_info['catnr'].")' onmouseout='item_out()' onmousedown='geklikt(".$scriptnaam.")' ondblclick='actieklik(".$item_info['cat'].", ".$item_info['catnr'].", ".$item_info['nr'].");' class='item_solid'>";
			    		}
			    		else
			    		{
				    		if ($item_soort == "geld")
			    			{
				    			$divgedoe .= "<img id='src".$scriptnaam."' src='".$imagenaam."' onmouseover='item_nr_over(".$item_info['cat'].",".$item_info['catnr'].")' onmouseout='item_out()' onmousedown='geklikt(".$scriptnaam.")' ondblclick='geldklik(".$item_info['cat'].", ".$item_info['catnr'].", ".$item_info['nr'].");' class='item_solid'>";
			    			}
			    			elseif ($item_soort == "kado")
			    			{
				    			$divgedoe .= "<img id='src".$scriptnaam."' src='".$imagenaam."' onmouseover='item_nr_over(".$item_info['cat'].",".$item_info['catnr'].")' onmouseout='item_out()' onmousedown='geklikt(".$scriptnaam.")' ondblclick='kado_show(".$scriptnaam.", \"".$item_info['intext']."\");' class='item_solid'>";
			    			}
			    			else
			    			{
								$divgedoe .= "<img id='src".$scriptnaam."' src='".$imagenaam."' onmouseover='item_nr_over(".$item_info['cat'].",".$item_info['catnr'].")' onmouseout='item_out()' onmousedown='geklikt(".$scriptnaam.")' class='item_solid'>";
							}
						}
					}
					$divgedoe .= "</div>";
				}
			}
		}
	}
}
echo "update_money(".halen("SELECT money FROM members WHERE naam = '".$_GET['jouwnaam']."'").");";
echo $arraygedoe.$savegedoe;
echo "thismeubi_teller = ".$arrayteller.";";
echo "<ajax>";
echo $divgedoe;
?>